Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153229 - upgrade to rawhide not working
Summary: upgrade to rawhide not working
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-03 18:02 UTC by Havoc Pennington
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 1.9.93-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 07:56:30 UTC


Attachments (Terms of Use)

Description Havoc Pennington 2005-04-03 18:02:23 UTC
It looks like yum can't figure out to go 
from "openoffice.org" installed to installing the new split-apart packages.

One solution might be an "openoffice.org" package that's empty but requires the
new split-up packages... I don't know if that's the best one though.

Comment 1 Caolan McNamara 2005-04-03 19:07:36 UTC
And if you have old i18n installed then you need to get the 23 (or whatever it
actually is) langpacks installed as well. What happened in the past when
previous packages got split into sub-packages ?

Though you say "not working", the new openoffice.org-core package Obsoletes all
the old openoffice.org packages so yum should know to remove the old Obsolete
stuff and just install the new core on its own to replace the lot. Is this not
happening in practice ?

Comment 2 Havoc Pennington 2005-04-04 22:22:12 UTC
The answer to "what happened in the past" is that we usually add some custom
hack or fool with dependencies to work around it. There is no clean solution.

IIRC the "not working" in this case was that a "yum update" would fail because
it needed to update OO.org in order to resolve dependencies (since old OO.org
required some old thing it needed to uninstall) and failed to do so.

Maybe you need both Obsoletes and Provides?

Jeremy what's your advice?

Comment 3 Jeremy Katz 2005-04-05 02:01:00 UTC
I sent mail about this to caolanm and dcbw right after 1.9.x went in saying we
needed to sit down and talk about the right set of obsoletes/provides to get
this to work right.  Basically, I think that 'Obsoletes: openoffice.org' on all
of the "main" packages and 'Obsoletes: openoffice.org-i18n' on the "langpack"
packages should do what we want.  But it'll need testing (which we can do by
making dummy empty packages named the same to try the upgrade path with instead
of having to build OOo itself a dozen times)

But I probably won't have a chance to try this until after I get back from the UK.  

Comment 4 Caolan McNamara 2005-04-05 08:12:35 UTC
Here's what I get when I have openoffice.org 1.1.X installed and do a yum
update, i end up with openoffice.org 1.1.X uninstalled and openoffice.org-core
1.9.X installed instead as I intended. So just to be clear, is this 
a) not happening for others, or...
b) just not the desired behaviour ?

> rpm -q openoffice.org
openoffice.org-1.1.3-9.5.0.fc3
> rpm -q openoffice.org-libs
openoffice.org-libs-1.1.3-9.5.0.fc3
> yum -y update
Dependencies Resolved
Transaction Listing:
  ...
  Install: openoffice.org-core.i386 1:1.9.89-1 - development
  ...

Running Transaction
  ...
  Obsoleting: openoffice.org-core          #####################
  ...
  Removing  : openoffice.org               #####################
  Removing  : openoffice.org-libs          #####################
  ...

Installed: ... openoffice.org-core.i386 1:1.9.89-1
Obsoleted: ... openoffice.org.i386 0:1.1.3-9.5.0.fc3 openoffice.org-libs.i386
0:1.1.3-9.5.0.fc3
Complete!
> rpm -q openoffice.org-core
openoffice.org-core-1.9.89-1

Comment 5 Jeremy Katz 2005-04-05 15:39:53 UTC
Since that doesn't actually let you run what you could before the upgrade (you
need to still install -impress, -writer, etc plus if you had the -i18n package
installed before, you don't have equivalent functionality), it's not the desired
behavior.

Comment 6 Caolan McNamara 2005-04-21 16:15:26 UTC
should work in the next rpm


Note You need to log in before you can comment on or make changes to this bug.